$fn=128;

module all()
{
    cut_height = 10;
    center_diameter = 5;
    
    difference()
    {
        union()
        {
            import("C-2291392-3.stl", convexity=20);
            hull()
            {
                translate([-3.3,4.5,-cut_height])
                    cylinder(d=1, h=0.6);
                translate([3.3,4.5,-cut_height])
                    cylinder(d=1, h=0.6);
                translate([-3.3,-3.25,-cut_height])
                    cylinder(d=1, h=0.6);
                translate([3.3,-3.25,-cut_height])
                    cylinder(d=1, h=0.6);
            }
        }
        
        translate([-10,-10,-cut_height-20])
            cube([20,20,20]);
        translate([0,0,-20])
            cylinder(d=center_diameter, h=50);
    }
    
    translate([0,5,-cut_height+0.5])
        rotate([180,0,0])
            schnipfel();
}

module schnipfel()
{
    schnipfel_start_width = 4;
    schnipfel_end_width = 3.2;
    schnipfel_height = 1;
    schnipfel_length1 = 2;
    schnipfel_length2 = 7;
    schnipfel_dias = 0.5;
    
    schnipfel_hole_dia = 1.2;
    schnipfel_hole_l = 1.5;
    
    difference()
    {
        hull()
        {
            translate([-schnipfel_start_width/2,0,0.1])
                cube([schnipfel_start_width,schnipfel_height,0.1]);
            
            translate([-(schnipfel_start_width-schnipfel_dias)/2,0,schnipfel_length1])
                rotate([270,0,0])
                    cylinder(d=schnipfel_dias, h=schnipfel_height);
            translate([(schnipfel_start_width-schnipfel_dias)/2,0,schnipfel_length1])
                rotate([270,0,0])
                    cylinder(d=schnipfel_dias, h=schnipfel_height);
            
            
            translate([-(schnipfel_end_width-schnipfel_dias)/2,0,schnipfel_length2])
                rotate([270,0,0])
                    cylinder(d=schnipfel_dias, h=schnipfel_height);
            translate([(schnipfel_end_width-schnipfel_dias)/2,0,schnipfel_length2])
                rotate([270,0,0])
                    cylinder(d=schnipfel_dias, h=schnipfel_height);
        }
        translate([0,-5,schnipfel_hole_l])
                rotate([270,0,0])
                    cylinder(d=schnipfel_hole_dia, h=10);
        
        hull()
        {
            translate([0,-5,3.5])
                    rotate([270,0,0])
                        cylinder(d=0.75, h=10);
            translate([0,-5,schnipfel_length2+0.5])
                    rotate([270,0,0])
                        cylinder(d=0.9, h=10);
        }
        
        translate([0,-5,6.5])
                rotate([270,0,0])
                    cylinder(d=1.1, h=10);
    }

}


//translate([-schnipfel_start_width/2,4,-cut_height-schnipfel_length])
    //cube([schnipfel_start_width,schnipfel_height,schnipfel_length]);

all();
//schnipfel();